Loading...
Searching...
No Matches
cache.h File Reference

Go to the source code of this file.

## Data Structures

struct | _HfsCPrivateCache
struct | _HfsCPrivateCacheTable
struct | _HfsCPrivateExtent

## Macros

#define | CR_ADD_CST 16
#define | CR_BTREE_ATTR 7
#define | CR_BTREE_CAT 6
#define | CR_BTREE_CAT_JIB 14 /* journal info block */
#define | CR_BTREE_CAT_JL 15 /* journal */
#define | CR_BTREE_EXT_0 8
#define | CR_BTREE_EXT_ALLOC 12
#define | CR_BTREE_EXT_ATTR 11
#define | CR_BTREE_EXT_CAT 9
#define | CR_BTREE_EXT_EXT 10 /* should not happen ! */
#define | CR_BTREE_EXT_START 13 /* unneeded in current code */
#define | CR_NEW_ALLOC_DIV
#define | CR_NULL 0 /* reserved */
#define | CR_OVER_DIV
#define | CR_PRIM_ALLOC 4
#define | CR_PRIM_ATTR 3
#define | CR_PRIM_CAT 1
#define | CR_PRIM_EXT 2
#define | CR_PRIM_START 5
#define | CR_SHIFT 8 /* number of bits to shift start_block by */

## Typedefs

typedef struct _HfsCPrivateCache | HfsCPrivateCache
typedef struct _HfsCPrivateCacheTable | HfsCPrivateCacheTable
typedef struct _HfsCPrivateExtent | HfsCPrivateExtent

## Functions

HfsCPrivateExtent * | hfsc_cache_add_extent (HfsCPrivateCache *cache, uint32_t start, uint32_t length, uint32_t block, uint16_t offset, uint8_t sbb, uint8_t where, uint8_t index)
HfsCPrivateExtent * | hfsc_cache_move_extent (HfsCPrivateCache *cache, uint32_t old_start, uint32_t new_start)
HfsCPrivateExtent * | hfsc_cache_search_extent (HfsCPrivateCache *cache, uint32_t start)
void | hfsc_delete_cache (HfsCPrivateCache *cache)
HfsCPrivateCache * | hfsc_new_cache (unsigned int block_number, unsigned int file_number)

## Macro Definition Documentation

## CR_ADD_CST

#define CR_ADD_CST 16

## CR_BTREE_ATTR

#define CR_BTREE_ATTR 7

## CR_BTREE_CAT

#define CR_BTREE_CAT 6

## CR_BTREE_CAT_JIB

#define CR_BTREE_CAT_JIB 14 /* journal info block */

## CR_BTREE_CAT_JL

#define CR_BTREE_CAT_JL 15 /* journal */

## CR_BTREE_EXT_0

#define CR_BTREE_EXT_0 8

## CR_BTREE_EXT_ALLOC

#define CR_BTREE_EXT_ALLOC 12

## CR_BTREE_EXT_ATTR

#define CR_BTREE_EXT_ATTR 11

## CR_BTREE_EXT_CAT

#define CR_BTREE_EXT_CAT 9

## CR_BTREE_EXT_EXT

#define CR_BTREE_EXT_EXT 10 /* should not happen ! */

## CR_BTREE_EXT_START

#define CR_BTREE_EXT_START 13 /* unneeded in current code */

## CR_NEW_ALLOC_DIV

#define CR_NEW_ALLOC_DIV

Value:
4 /* divide the size of the first alloc table
by this value to allocate next tables */

## CR_NULL

#define CR_NULL 0 /* reserved */

## CR_OVER_DIV

#define CR_OVER_DIV

Value:
16 /* alloc a table for (1+1/CR_OVER_DIV) *
file_number + CR_ADD_CST */

## CR_PRIM_ALLOC

#define CR_PRIM_ALLOC 4

## CR_PRIM_ATTR

#define CR_PRIM_ATTR 3

## CR_PRIM_CAT

#define CR_PRIM_CAT 1

## CR_PRIM_EXT

#define CR_PRIM_EXT 2

## CR_PRIM_START

#define CR_PRIM_START 5

## CR_SHIFT

#define CR_SHIFT 8 /* number of bits to shift start_block by */

## Typedef Documentation

## HfsCPrivateCache

typedef struct _HfsCPrivateCache HfsCPrivateCache

## HfsCPrivateCacheTable

typedef struct _HfsCPrivateCacheTable HfsCPrivateCacheTable

## HfsCPrivateExtent

typedef struct _HfsCPrivateExtent HfsCPrivateExtent

## Function Documentation

## hfsc_cache_add_extent()

HfsCPrivateExtent * hfsc_cache_add_extent | ( | HfsCPrivateCache * | cache,
|  | uint32_t | start,
|  | uint32_t | length,
|  | uint32_t | block,
|  | uint16_t | offset,
|  | uint8_t | sbb,
|  | uint8_t | where,
|  | uint8_t | index )

## hfsc_cache_move_extent()

HfsCPrivateExtent * hfsc_cache_move_extent | ( | HfsCPrivateCache * | cache,
|  | uint32_t | old_start,
|  | uint32_t | new_start )

## hfsc_cache_search_extent()

HfsCPrivateExtent * hfsc_cache_search_extent | ( | HfsCPrivateCache * | cache,
|  | uint32_t | start )

## hfsc_delete_cache()

void hfsc_delete_cache | ( | HfsCPrivateCache * | cache | ) |

## hfsc_new_cache()

HfsCPrivateCache * hfsc_new_cache | ( | unsigned int | block_number,
|  | unsigned int | file_number )